For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set nameservers

Set nameservers for a specified virtual machine.

Set nameservers

put

Set nameservers for a specified virtual machine.

Be aware, that improper nameserver configuration can lead to the virtual machine being unable to resolve domain names.

Use this endpoint to configure custom DNS resolvers for VPS instances.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
virtualMachineIdintegerRequired

Virtual Machine ID

Example: 1268054
Body
ns1stringRequiredExample: 4.3.2.1
ns2string · nullableOptionalExample: 1.2.3.4
ns3string · nullableOptionalExample: 5.2.3.4
Responses
200

Success response

application/json
idintegerOptional

Action ID

Example: 8123712
namestringOptional

Action name

Example: action_name
statestring · enumOptional

Action state

Example: successPossible values:
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:00Z
updated_atstring · date-timeOptionalExample: 2025-02-27T11:58:00Z
put/api/vps/v1/virtual-machines/{virtualMachineId}/nameservers
PUT /api/vps/v1/virtual-machines/{virtualMachineId}/nameservers HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "ns1": "4.3.2.1",
  "ns2": "1.2.3.4",
  "ns3": "5.2.3.4"
}
{
  "id": 8123712,
  "name": "action_name",
  "state": "success",
  "created_at": "2025-02-27T11:54:00Z",
  "updated_at": "2025-02-27T11:58:00Z"
}

Last updated

Was this helpful?